> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aptlydone.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Save matrix user view



## OpenAPI

````yaml post /v1/matrix/view
openapi: 3.0.0
info:
  title: Matrix APIs Specification
  description: Section for description
  version: '1.0'
  contact: {}
servers:
  - url: https://staging.api.us.aptlydone.com/matrix
  - url: https://staging.api.eu.aptlydone.com/matrix
  - url: https://api.us.aptlydone.com/matrix
  - url: https://api.eu.aptlydone.com/matrix
security: []
tags: []
paths:
  /v1/matrix/view:
    post:
      tags:
        - matrix
      summary: Save matrix user view
      operationId: MatrixController_saveMatrixView_v1
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/MatrixSaveViewDto'
      responses:
        '201':
          description: Matrix view saved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MatrixViewResponseDtoResponse'
      security:
        - accessToken: []
components:
  schemas:
    MatrixSaveViewDto:
      type: object
      properties:
        matrixId:
          type: string
          format: uuid
          description: Matrix ID
        viewData:
          type: object
          description: Matrix view data
          additionalProperties: true
      required:
        - matrixId
        - viewData
    MatrixViewResponseDtoResponse:
      type: object
      properties:
        statusCode:
          type: number
          description: HTTP Status code
          example: 200
        timestamp:
          type: string
          description: Timestamp of the response
          example: '2026-01-08T06:33:22.023Z'
        message:
          type: string
          description: Response message
          example: Success
        data:
          description: Response data
          allOf:
            - $ref: '#/components/schemas/MatrixViewResponseDto'
      required:
        - statusCode
        - timestamp
        - message
        - data
    MatrixViewResponseDto:
      type: object
      properties:
        id:
          type: string
          description: View ID
          example: 62909f2b-594a-433f-a752-a22a439fd6de
        matrixId:
          type: string
          description: Matrix ID
          example: c8e0b94a-3309-4e15-90c9-b8db44764263
        userId:
          type: string
          description: User ID
          example: 2797187e-61d6-43d8-a775-cf9cd182c52b
        viewData:
          type: object
          description: View data
          additionalProperties: true
        createdOn:
          format: date-time
          type: string
          description: Created on date
          example: '2026-01-08T06:33:22.378Z'
        updatedOn:
          format: date-time
          type: string
          description: Updated on date
          example: '2026-01-08T06:33:22.378Z'
      required:
        - id
        - matrixId
        - userId
        - viewData
        - createdOn
        - updatedOn
  securitySchemes:
    accessToken:
      scheme: bearer
      bearerFormat: JWT
      type: http

````